Bug 1563587 - slock crashes on "Enter" after screen is locked
Summary: slock crashes on "Enter" after screen is locked
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: slock
Version: 28
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-04 08:53 UTC by ojab
Modified: 2018-04-17 00:16 UTC (History)
1 user (show)

Fixed In Version: slock-1.4-8.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-17 00:16:33 UTC
Type: Bug


Attachments (Terms of Use)
backtrace (7.41 KB, text/plain)
2018-04-04 08:53 UTC, ojab
no flags Details

Description ojab 2018-04-04 08:53:37 UTC
Created attachment 1417150 [details]
backtrace

Description of problem:
slock crashes on "Enter" press. 


Version-Release number of selected component (if applicable):
slock-1.4-7.fc28.x86_64

How reproducible:


Steps to Reproduce:
1. Run `slock`
2. Press "Enter"

Actual results:
Crash and screen is unlocked

Expected results:
Screen is locked

Additional info:
glibc-2.27-8.fc28.x86_64

Comment 1 Petr Šabata 2018-04-09 10:41:07 UTC
So I've upgraded to F28 and can reproduce it now.  Will look into it.

Comment 2 Petr Šabata 2018-04-09 14:15:36 UTC
This is related to the libxcrypt change in F28.  Handling the output of libxcrypt's crypt() causes the segfault.  This could be either a libxcrypt bug or perhaps slock is doing something wrong here and it just used to work by accident.

I'll try to resolve this with the libxcrypt / glibc maintainers.

Comment 3 Fedora Update System 2018-04-10 16:43:39 UTC
slock-1.4-8.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4b943401e3

Comment 4 Fedora Update System 2018-04-11 22:57:27 UTC
slock-1.4-8.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4b943401e3

Comment 5 Fedora Update System 2018-04-17 00:16:33 UTC
slock-1.4-8.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.